### Function

# Gcr mock_prompter_expect_confirm_ok

since: 4

#### Declaration [src]

    void
    gcr_mock_prompter_expect_confirm_ok (
      const gchar* first_property_name,
      ...
    )

#### Description [src]

Queue an expected response on the mock prompter.

Expects a confirmation prompt, and then confirms that prompt by simulating a click on the ok button.

Additional property pairs for the prompt can be added in the argument list, in the same way that you would with g_object_new().

If the “choice-chosen” property is specified then that value will be set on the prompt as if the user had changed the value.

All other properties will be checked against the prompt, and an error will occur if they do not match the value set on the prompt.

Available since: 4

This function is not directly available to language bindings.

#### Parameters

`first_property_name`

  Type: `const gchar*`

  The first property name in the argument list or `NULL`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Properties to expect.